<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">
                    
    <ui:define name="contentPart">
        <h:form id="plazaHistForm">
                   <h:outputText value="RH -> Plazas -> Histórico" 
                          style="font-weight: bold; font-size: medium"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Histórico de Plaza" />                       
            <br/><br/>
            
            <h:panelGrid id="pnlBusqueda" style="padding-left: 150px"
                         columns="4" cellpadding="5" 
                         columnClasses="centered5,centered6,centered5,centered6"> 
                <p:column>
                <p:outputLabel for="inpClvPla" value="#{translatedMessage['restricted.rh.plaza.numeroPlaza']}: " style="font-weight: bold"/>
                </p:column>
                <p:column>
                <p:outputLabel id="inpClvPla" value="#{historicoPlazaMB.plazaTO.numeroPlaza}"/>
                </p:column>
                <p:column>
                <p:outputLabel for="idEstPla" value="#{translatedMessage['restricted.rh.plaza.estatusPlaza']}: " style="font-weight: bold"/>
                </p:column>
                <p:column>
                <p:outputLabel id="idEstPla" value="#{historicoPlazaMB.plazaTO.estatusPlazaTO.descripcion}"/>
                </p:column>
                <p:column>
                <p:outputLabel for="calFecCam" value="#{translatedMessage['restricted.rh.plaza.fechCamb']}: " style="font-weight: bold"/>
                </p:column>
                <p:column>
                    <p:calendar id="calFecCam" showOn="button" value="#{historicoPlazaMB.consultaMovsPlazaTO.fechaCamb}" locale="es"/>
                </p:column>
                <p:column>                
                <p:outputLabel for="cmbTipMov" value="#{translatedMessage['restricted.rh.plaza.tipoMov']}: " style="font-weight: bold"/>
                </p:column>
                <p:column>
                <p:selectOneMenu id="cmbTipMov" 
                                 autoWidth="false"
                                 filter="true" style="width:250px"
                                 styleClass="selectOneMenu" converter="entityConverter"
                                 value="#{historicoPlazaMB.accionSelectedTO}" >
                    <f:selectItem  itemValue="#{null}"
                                   itemLabel="Elegir una Acción..." noSelectionOption="true"
                                   itemDisabled="false" />
                    
                    <f:selectItems  value="#{historicoPlazaMB.lstAccionesTO}"
                                    var="accion"
                                    itemLabel="#{accion.descripcion}"
                                    itemValue="#{accion}" />  
                    
                </p:selectOneMenu>
                </p:column>
                <p:column>
                <p:outputLabel for="cmbEjercicio" value="#{translatedMessage['restricted.rh.plaza.ejercicios']}: " style="font-weight: bold"/>
                </p:column>
                <p:column>
                <p:selectOneMenu id="cmbEjercicio"
                                 filter="true" autoWidth="false" style="width:150px"
                                 styleClass="selectOneMenu" converter="entityConverter"
                                 value="#{historicoPlazaMB.ejercicioSelectedTO}">
                    <f:selectItem  itemValue="#{null}"
                                   itemLabel="Elegir una Ejercicio..." noSelectionOption="true"
                                   itemDisabled="false" />
                    
                    <f:selectItems  value="#{historicoPlazaMB.lstEjerciciosTO}"
                                    var="ejercicio"
                                    itemLabel="#{ejercicio.valor}"
                                    itemValue="#{ejercicio}" />  
                </p:selectOneMenu>
               </p:column>
                <p:column>
                    
                </p:column>
                <p:column>
                    <div align="right">
                 <p:commandButton id="btnBusPla"                      
                                 value="Buscar" 
                                 update="tblHistPlaza"
                                 style="width: 100px"
                                 action="#{historicoPlazaMB.consultaMovimientos}">                    
                </p:commandButton>
                    </div>
                </p:column>
                
            </h:panelGrid>
                                
            <br/>
            
            <h:panelGrid columns="1" cellpadding="10" columnClasses="centered7" style="width: 90%;padding-left: 90px">
            <p:dataTable id="tblHistPlaza" var="histPlazaTable" lazy="true" paginator="true" 
                         onExpandStart="inicio()" value="#{historicoPlazaMB.lstMovsPlazaTO}"
                         rowKey="#{histPlazaTable.numeroPlaza}"
                         scrollable="true" scrollWidth="99%"
                         currentPageReportTemplate="#{msg['inai.medios.common.registroText']} {startRecord}-{endRecord} #{msg['inai.medios.common.deText']} {totalRecords} #{msg['inai.medios.common.disponiblesText']}"
                         paginatorPosition="bottom" rows="10"
                         emptyMessage="#{msg['inai.medios.common.noRecordsText']}">
                <f:facet name="header">
                    Histórico de Plaza
                </f:facet>
                
<!--                <p:column style="width:6px">
                    <p:rowToggler/>
                </p:column>-->
                
                <p:column headerText="#{translatedMessage['restricted.rh.plaza.tipoMov']}"
                          style="width:60px; font-size:small; text-align:center">
                    <h:outputText value="#{histPlazaTable.tipoMovimiento}" />
                </p:column>
                
                <p:column headerText="#{translatedMessage['restricted.rh.plaza.fechCamb']}"
                          style="width:60px; font-size:small; text-align:center">
                    <h:outputText value="#{histPlazaTable.fechaCamb}">
                        <f:convertDateTime pattern = "dd/MM/yyyy" timeZone="America/Mexico_City" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Vigencia Inicio"
                          style="width:60px; font-size:small; text-align:center">
                    <h:outputText value="#{histPlazaTable.vigenciaInicio}">
                        <f:convertDateTime pattern = "dd/MM/yyyy" timeZone="America/Mexico_City" />
                    </h:outputText>
                </p:column>

                <p:column headerText="#{translatedMessage['restricted.rh.plaza.horaCamb']}"
                          style="width:80px; font-size:small; text-align:center">
                    <h:outputText value="#{histPlazaTable.horaCamb}">
                        <f:convertDateTime pattern = "HH:mm:ss" timeZone="America/Mexico_City"/>
                    </h:outputText>
                </p:column>
                
                <p:column headerText="#{translatedMessage['restricted.rh.plaza.estatusPlaza']}"
                          style="width:70px; font-size:small; text-align:center">
                    <h:outputText value="#{histPlazaTable.estatusPlaza}" />
                </p:column>
                
                <p:column headerText="#{translatedMessage['restricted.rh.empleado.acciones']}"
                          style="width:150px; font-size:small; align-content:center">
                      
                    <p:commandButton id="btnVer" styleClass="botonpequeno" 
                                     title="Ver Detalle"
                                     value="Ver"
                                     style="display:inline; float:left; font-size:x-small;" 
                                     disabled="false" oncomplete="PF('detMov').show();"
                                     actionListener="#{historicoPlazaMB.consultaDetalle(histPlazaTable)}" 
                                     update="plazaHistForm:tblDetHistPlaza" 
                                    />
                    
                    <p:commandButton id="btnExportar" styleClass="botonpequeno" 
                                     title="Exportar"
                                     value="Exportar"
                                     style="display:inline; float:left; font-size:x-small;"
                                     disabled="true"/>
                </p:column>
<!--                <p:rowExpansion>
                    <h:outputText value="Id:" />
                    <h:outputText value="prueba" />
                </p:rowExpansion>-->
            </p:dataTable> 
            </h:panelGrid>
            <div align="right" style=" padding-right: 100px">
                <p:commandButton id="btnCerrar" value="Cerrar" style="font-size: 90%;"
                                 action="#{historicoPlazaMB.cerrar}">
                </p:commandButton>
            </div>
            <p:dialog header="Detalle de Movimiento" modal="true" appendTo="@(body)"  width="60%"
                      widgetVar="detMov" id="detMov" closable="false" resizable="false">
                <h:panelGrid columnClasses="centered7" width="100%">
                <p:dataTable id="tblDetHistPlaza" 
                             var="histDetMov" lazy="true" paginator="true" 
                             value ="#{historicoPlazaMB.lstDetalleCamposTO}"
                             onExpandStart="inicio()" 
                             style="font-size: small;"
                             scrollable="true" 
                             currentPageReportTemplate="#{msg['inai.medios.common.registroText']} {startRecord}-{endRecord} #{msg['inai.medios.common.deText']} {totalRecords} #{msg['inai.medios.common.disponiblesText']}"
                             paginatorPosition="bottom" rows="10"
                             emptyMessage="#{msg['inai.medios.common.noRecordsText']}">
                            <p:column headerText="#{translatedMessage['restricted.rh.plaza.campoAfe']}"
                                      style=" font-size:small; ">
                                <h:outputText value="#{histDetMov.campoAfectado}"></h:outputText>
                            </p:column>
                            <p:column headerText="#{translatedMessage['restricted.rh.plaza.valorAct']}"
                                      style=" font-size:small;">
                                <h:outputText value="#{histDetMov.valorActual}"></h:outputText>

                            </p:column>
                            <p:column headerText="#{translatedMessage['restricted.rh.plaza.valorAnt']}"
                                      style=" font-size:small; ">
                                <h:outputText value="#{histDetMov.valorAnterior}"></h:outputText>
                            </p:column>
                    </p:dataTable>
                </h:panelGrid>
                <div align="right">
                    <p:commandButton value="Cerrar" onclick="PF('detMov').hide()"/>
                </div>
            </p:dialog>
            
            
        </h:form>
        
        
    </ui:define>
</ui:composition>
